Bug 143673 - Excessive swapping related to disk cache usage
Excessive swapping related to disk cache usage
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-12-23 13:55 EST by William
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-24 18:22:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description William 2004-12-23 13:55:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.3)

Description of problem:
After installing the U4 updated kernel swapping is still present after
 24 hours of use.  This is a low load counter-strike and teamspeak
server.  Cpu usage never goes above 10% except for webmin sessions. 
as per the url linking to the closed bug this bug is not yet resolved.
 I have used the echo command noted in the closed bug but some minor
swapping is still occurring.  This is a p-4 1.4 ghz machine with 384
megs of ram.  Here is my free:

total       used       free     shared    buffers     cached
Mem:        382472     369116      13356          0      69256     202620
-/+ buffers/cache:      97240     285232
Swap:       522072       1000     521072

13:53:52  up 1 day,  3:50,  1 user,  load average: 0.00, 0.00, 0.00
48 processes: 47 sleeping, 1 running, 0 zombie, 0 stopped
CPU states:  cpu    user    nice  system    irq  softirq  iowait    idle
           total    0.0%    0.0%    0.0%   0.9%     0.0%    0.0%   99.0%
Mem:   382472k av,  369116k used,   13356k free,       0k shrd,  
69256k buff
                    262200k actv,   63964k in_d,    7796k in_c
Swap:  522072k av,    1000k used,  521072k free                 
202620k cached

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Let the server run

Additional info:
Comment 1 Rik van Riel 2004-12-23 14:15:59 EST
Swapping 1MB doesn't seem excessive to me.  Are you actually seeing performance
problems or are the remnants of this bug mostly cosmetic ?
Comment 2 William 2004-12-23 14:23:41 EST
This is just something to watch.  Right now it is cosmetic.  I have this and
another box i use.  The other is a samba server.  I can load it up and see if
the swapping goes wacky.
Comment 3 William 2004-12-24 15:24:13 EST
The swap usage is going up..albeit much more slowly than before the
errata.  This is for the p-4 mentioned previously:
 15:24:28  up 2 days,  5:21,  1 user,  load average: 0.20, 0.11, 0.03
49 processes: 47 sleeping, 2 running, 0 zombie, 0 stopped
CPU states:  cpu    user    nice  system    irq  softirq  iowait    idle
           total   14.8%    0.0%    0.0%   1.4%     0.4%    0.0%   83.4%
Mem:   382472k av,  377460k used,    5012k free,       0k shrd,  
49564k buff
                    288388k actv,   54068k in_d,    7748k in_c
Swap:  522072k av,    5628k used,  516444k free                 
221168k cached
Comment 4 William 2004-12-24 18:22:47 EST
ok never mind the swap is now down to 212k.  

Note You need to log in before you can comment on or make changes to this bug.